Bug 798753 - [abrt] x11vnc-0.9.13-1.fc16: _int_realloc: Process /usr/bin/x11vnc was killed by signal 6 (SIGABRT)
[abrt] x11vnc-0.9.13-1.fc16: _int_realloc: Process /usr/bin/x11vnc was killed...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: x11vnc (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:63c824c047ac700fcf201681e74...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 13:34 EST by Orion Poplawski
Modified: 2012-06-13 00:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-13 00:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (7.64 KB, text/plain)
2012-02-29 13:34 EST, Orion Poplawski
no flags Details
File: backtrace (8.67 KB, text/plain)
2012-02-29 13:34 EST, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2012-02-29 13:34:40 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/x11vnc -gui tray=setpass -rfbport PROMPT -bg -o %HOME/.x11vnc.log.%VNCDISPLAY
crash_function: _int_realloc
executable:     /usr/bin/x11vnc
kernel:         3.1.10-2.fc16.i686.PAE
pid:            2983
pwd:            /export/home/orion/Documents
reason:         Process /usr/bin/x11vnc was killed by signal 6 (SIGABRT)
time:           Wed 29 Feb 2012 11:29:23 AM MST
uid:            1744
username:       orion

backtrace:      Text file, 8876 bytes
maps:           Text file, 7821 bytes

build_ids:
:0c42d41b807c8cf7bcfa07558b3c29014947986e
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:240e3213850584835c6508966d1b28e87b400a98
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:ba29792d79f6e00a8a0d61c986b3e101b51cbdf6
:1002abe0291e2b40a073f1d82ed0322e82a760dc
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:9e557521cbc1bfa5f60a7be1b5a6bda768ee5f7f
:4f9a1b8090deca71bc444d627c9e1b1a33661ac1
:66bde8f1c5ea0505d428ab205352524e2ccfa7ac
:798697a352bae4178953ba502fb04f33dd0ed987
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:57199fcccbf44c6d5b9d3f38d3f9943cf2d73381
:fa52c94417eb9760265bfd6381ecece7afe41c56
:917b19e34a4e653ea2f5151867bfb15e683a008d
:861a77ab9a119a2c5a1231ef306cdb56dbb739e8
:9999b89ea4e91565a454f54e66c008404792a265
:0351a659bc0812678c67f62af1f802a5f367befc
:2ceafbe60ad3978e0d071011b82e0325fc43a106
:ef5481322510a97553a260c02f806ad0f06e8b8a
:15bab279752ad8e30f901abae77bcb1ed1f38977
:e28234a48250910bed4548b3d0781b2002f7a2ab
:45dc9d3fe5ff837cb1dc2795c33792b9ed148f17
:1e433d5156c8decab4ff0f1125eefb5a5bef4622
:83fe69c88511cf036f5f5b51fc3d906b2351d51e
:faa844e460702359079f4f15f1f881e87777abb6
:c426419184fb3dcbe313f2b886f0228b7effc9ea
:8e4c3586ead4b9d9964684cd9a281edc025bd771
:1c92bde3bc752e5630e24d8699a50bcff735af0b
:e42d500dc9e803be62453540b4c81a12e96a006a
:8163f121b94883addbeb3dc331bfb34338aca566
:51c8004150fdd48568df3d72c7a5b6f44f4fa72a
:10cec21724c13b95ec03f00985b0405412817a49
:ae15534ba0067272ad8a7be96ba555e6347ae845
:12da4d1dc9764d3990ab6a2def5a88c4687d4550
:56c1b56c79bc8f1606bb4ae19aecbe40abc56691
:6faf9b7660ffcb25edafb1daa1cda05b2f46103c

comment:
:KDE desktop.  Clicked on X11VNC from start menu.  Got window prompting for port.  Kept default of 5900 and clicked OK.  Got ABRT report and message that x11vnc failed to start.
:
:If I run this from the command line:
:
:x11vnc -gui tray=setpass -rfbport PROMPT -bg -o ~/.x11vnc.log
:
:It works.
:
:In the failed log:
:
:$ cat ~/.x11vnc.log.orca.cora.nwra.com\:5900 
:29/02/2012 11:14:11 passing arg to libvncserver: -rfbport
:29/02/2012 11:14:11 passing arg to libvncserver: 5900
:29/02/2012 11:14:11 x11vnc version: 0.9.13 lastmod: 2011-08-10  pid: 1986
:x11vnc: malloc.c:3800: _int_malloc: Assertion `(unsigned long)(size) >= (unsigned long)(nb)' failed.
:
:Not sure what would be different between the two invocations.

dso_list:
:/usr/lib/libgnutls.so.26.21.8 gnutls-2.12.14-1.fc16.i686 (Fedora Project) 1326391456
:/usr/lib/libp11-kit.so.0.0.0 p11-kit-0.6-1.fc16.i686 (Fedora Project) 1318597357
:/lib/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1329907187
:/lib/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.i686 (Fedora Project) 1318596606
:/usr/lib/libssl.so.1.0.0g openssl-1.0.0g-1.fc16.i686 (Fedora Project) 1327077828
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1318596606
:/lib/libkrb5.so.3.3 krb5-libs-1.9.2-6.fc16.i686 (Fedora Project) 1328092903
:/lib/libfreebl3.so nss-softokn-freebl-3.13.1-15.fc16.i686 (Fedora Project) 1325521601
:/lib/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.i686 (Fedora Project) 1318596630
:/lib/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.i686 (Fedora Project) 1318596609
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1318596617
:/usr/lib/libXext.so.6.4.0 libXext-1.3.0-1.fc16.i686 (Fedora Project) 1321895710
:/usr/lib/libXi.so.6.1.0 libXi-1.4.5-1.fc16.i686 (Fedora Project) 1325002562
:/usr/lib/libvncclient.so.0.0.0 libvncserver-0.9.8.2-2.fc16.i686 (Fedora Project) 1325521594
:/lib/libselinux.so.1 libselinux-2.1.6-6.fc16.i686 (Fedora Project) 1328526078
:/lib/libz.so.1.2.5 zlib-1.2.5-6.fc16.i686 (Fedora Project) 1326391292
:/lib/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1329907187
:/lib/libcrypt-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1329907187
:/lib/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.i686 (Fedora Project) 1318596610
:/usr/lib/libvncserver.so.0.0.0 libvncserver-0.9.8.2-2.fc16.i686 (Fedora Project) 1325521594
:/lib/libgssapi_krb5.so.2.2 krb5-libs-1.9.2-6.fc16.i686 (Fedora Project) 1328092903
:/lib/libresolv-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1329907187
:/lib/libnsl-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1329907187
:/lib/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.i686 (Fedora Project) 1320075222
:/lib/libk5crypto.so.3.1 krb5-libs-1.9.2-6.fc16.i686 (Fedora Project) 1328092903
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1329907187
:/usr/lib/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-3.fc16.i686 (Fedora Project) 1322068300
:/lib/libcrypto.so.1.0.0g openssl-1.0.0g-1.fc16.i686 (Fedora Project) 1327077828
:/lib/libkrb5support.so.0.1 krb5-libs-1.9.2-6.fc16.i686 (Fedora Project) 1328092903
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1329907187
:/usr/lib/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.i686 (Fedora Project) 1318596644
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1318596617
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.i686 (Fedora Project) 1318596619
:/usr/lib/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.i686 (Fedora Project) 1318596619
:/usr/lib/libminilzo.so.0 lzo-minilzo-2.06-1.fc16.i686 (Fedora Project) 1318597368
:/usr/bin/x11vnc x11vnc-0.9.13-1.fc16.i686 (Fedora Project) 1330540110

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:MANPATH=/usr/local/share/man:/usr/share/man:/opt/local/man
:XDG_SESSION_ID=17
:SSH_AGENT_PID=9693
:HOSTNAME=orca.cora.nwra.com
:DM_CONTROL=/var/run/xdmctl
:NEK5000_HOME=/export/home/orion/src/nek5000/trunk/
:'ORGANIZATION=Colorado Research Associates'
:XDG_MENU_PREFIX=kde4-
:HOST=orca
:HARDWARE_PLATFORM=i386
:SHELL=/bin/bash
:IDL_STARTUP=/export/home/orion/.idlrc
:HISTSIZE=1000
:XDG_SESSION_COOKIE=57519f88c96fcb2d7d4d5d2f00000015-1329938282.438174-368157578
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/export/home/orion/.gtkrc-2.0:/export/home/orion/.gtkrc-2.0-kde4:/export/home/orion/.kde/share/config/gtkrc-2.0
:MAILCHEC=30
:GS_LIB=
:CVSROOT=/data/sw1/cvsrep
:SGE_CELL=default
:NCARG_FONTCAPS=/usr/lib/ncarg/fontcaps
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-0E6JCQ
:QTINC=/usr/lib/qt-3.3/include
:OS=Linux
:KDE_FULL_SESSION=true
:'NAME=Orion E. Poplawski'
:USER=orion
:SSH_AUTH_SOCK=/tmp/ssh-eJYEifoM9638/agent.9638
:COBBLER_SERVER=cobbler.cora.nwra.com
:PAGER=less
:NCARG_GRAPHCAPS=/usr/lib/ncarg/graphcaps
:MACH=i686
:XPRINTER=poe
:PGI=/opt/local/pgi
:MAIL=/var/spool/mail/orion
:DESKTOP_SESSION=default
:PATH=/export/home/orion/bin:/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/export/home/orion/bin:/opt/local/bin:/usr/sbin:/export/home/orion/src/nek5000/trunk//bin:/export/home/orion/src/nek5000/trunk//pre:/export/home/orion/src/nek5000/trunk//post:/export/home/orion/src/nek5000/trunk//bin/site_specific/cora
:PWD=/export/home/orion
:NCARG_ROOT=/usr
:EDITOR=vi
:KDE_SESSION_UID=1744
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=9636
:LANG=en_US.UTF-8
:NCARG_DATABASE=/usr/lib/ncarg/database
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:SGE_ROOT=/usr/share/gridengine
:LOADEDMODULES=
:KDEDIRS=/usr
:JITC_PROCESSOR_TYPE=6
:SSH_ASKPASS=/usr/bin/ksshaskpass
:NCARG_LIB=/usr/lib/ncarg
:HISTCONTROL=ignoredups
:KRB5CCNAME=FILE:/tmp/krb5cc_1744_Uc8UzL
:NCARG_NCARG=/usr/share/ncarg
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/export/home/orion
:KDE_SESSION_VERSION=4
:GDL_PATH=+/opt/local/cmsvlib:+/usr/share/gdl:+/opt/local/itt/idl/idl/lib
:XCURSOR_THEME=Adwaita
:IDL_PATH=+/export/home/orion/idl:<IDL_DEFAULT>
:LOGNAME=orion
:PRINTER=poe
:VISUAL=vi
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-xEYnyR8juW,guid=28d639d3d91c36a9e30ace8f00001a70
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:LPDEST=poe
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/orion
:DISPLAY=:0
:QT_PLUGIN_PATH=/export/home/orion/.kde/lib/kde4/plugins/:/usr/lib/kde4/plugins/
:CCACHE_HASHDIR=
:XAUTHORITY=/tmp/kde-orion/xauth-1744-_0
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/9755,unix/unix:/tmp/.ICE-unix/9755
:GTK_RC_FILES=/etc/gtk/gtkrc:/export/home/orion/.gtkrc:/export/home/orion/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=orca.cora.nwra.com;1330540160;24079;9766_TIME368812288

var_log_messages:
:Feb 29 11:12:20 orca abrt[1639]: Saved core dump of pid 1621 (/usr/bin/x11vnc) to /var/spool/abrt/ccpp-2012-02-29-11:12:19-1621 (3235840 bytes)
:Feb 29 11:14:11 orca abrt[1993]: Saved core dump of pid 1986 (/usr/bin/x11vnc) to /var/spool/abrt/ccpp-2012-02-29-11:14:11-1986 (3235840 bytes)
:Feb 29 11:28:31 orca yum[2911]: Installed: x11vnc-0.9.13-1.fc16.i686
:Feb 29 11:28:55 orca yum[2943]: Installed: x11vnc-debuginfo-0.9.13-1.fc16.i686
:Feb 29 11:29:23 orca abrt[3000]: Saved core dump of pid 2983 (/usr/bin/x11vnc) to /var/spool/abrt/ccpp-2012-02-29-11:29:23-2983 (3198976 bytes)
Comment 1 Orion Poplawski 2012-02-29 13:34:44 EST
Created attachment 566610 [details]
File: maps
Comment 2 Orion Poplawski 2012-02-29 13:34:45 EST
Created attachment 566611 [details]
File: backtrace
Comment 3 Pavel Alexeev 2012-03-03 10:10:36 EST
If you run direct:
/usr/bin/x11vnc -gui tray=setpass -rfbport PROMPT -bg -o
%HOME/.x11vnc.log.%VNCDISPLAY
it also reproduced?
Comment 4 Orion Poplawski 2012-06-13 00:12:09 EDT
Can't reproduce on F17 anymore.

Note You need to log in before you can comment on or make changes to this bug.